<div class="modal fade" id="changePwdModal" tabindex="-1" role="dialog" aria-labelledby="changePwdModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="changePwdModalLabel">{{ 'change.password.label'|trans({}, 'frontends') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="container">

                    <div class="row mb-3">
                        <div class="col">

                            <div id="change_password_error"><label></label></div>

                            {# the argument of csrf_token() is an arbitrary value used to generate the token #}
                            <input id="hdn-token-cp" type="hidden" value="{{ csrf_token('change_password') }}" />

                            <label for="cp_oldPlainPassword">{{ 'current.password.label'|trans({},'frontends') }}</label>
                            <div class="input-group">
                                <input type="password" name="password" class="inp-cls-pwd form-control" id="cp_oldPlainPassword" placeholder="{{ 'password.placeholder'|trans({}, 'frontends') }}">
                                <div class="input-group-append toggle-password">
                                    <span class="input-group-text"><i class="fas fa-eye"></i></span>
                                </div>
                            </div>

                            <div class="mt-1 mb-3">
                                <a href="{{ path('fos_user_resetting_request') }}">{{ 'forgot.password'|trans({}, 'messages') }}</a>
                            </div>

                            <label for="cp_newPlainPassword">{{ 'new.password.label'|trans({},'frontends') }}</label>
                            <div class="input-group">
                                <input type="password" name="password" class="inp-cls-pwd form-control" id="cp_newPlainPassword" placeholder="{{ 'password.placeholder'|trans({}, 'frontends') }}">
                                <div class="input-group-append toggle-password">
                                    <span class="input-group-text"><i class="fas fa-eye"></i></span>
                                </div>
                            </div>

                        </div>
                    </div>

                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">{{ 'cancel.label'|trans({}, 'frontends') }}</button>
                <button type="button" class="btn btn-primary" id="sub-change-password-form" data-url="{{ url('private_change_password') }}">{{ 'save.changes.label'|trans({}, 'frontends') }}</button>
            </div>
        </div>
    </div>
</div>